Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.user.client.ui
Interface SourcesChangeEvents

All Known Implementing Classes:
  ListBox, PasswordTextBox, SuggestBox, TextArea, TextBox, TextBoxBase

    public interface SourcesChangeEvents

A widget that implements this interface sources the events defined by the `ChangeListener` interface.

Method Summary
`void` | `addChangeListener(ChangeListener listener)` Adds a listener interface to receive change events.
`void` | `removeChangeListener(ChangeListener listener)` Removes a previously added listener interface.

Method Detail

### addChangeListener

    void addChangeListener(ChangeListener listener)

  Adds a listener interface to receive change events.

  Parameters:
    `listener` - the listener interface to add

### removeChangeListener

    void removeChangeListener(ChangeListener listener)

  Removes a previously added listener interface.

  Parameters:
    `listener` - the listener interface to remove

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD